#
# spec file for package perl-Archive-Zip (Version 1.24)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Archive-Zip
Url:            http://cpan.org/modules/by-module/Archive/
BuildRequires:  perl-Compress-Zlib zip
Version:        1.24
Release:        2.7
Requires:       perl = %{perl_version}
AutoReqProv:    on
Group:          Development/Libraries/Perl
License:        Artistic License
Summary:        perl-Archive-Zip
Source:         Archive-Zip-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Perl module for creation and manipulation of ZIP-files



Authors:
--------
    Ned Kon <zperl@bike-nomad.com>

%prep
%setup -n Archive-Zip-%{version} -q

%build
perl Makefile.PL
make

%check
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist
rm -f $RPM_BUILD_ROOT/%{perl_vendorlib}/Archive/Zip.pod

%files
%defattr(-,root,root)
%doc Changes  MANIFEST README examples 
%doc %{_mandir}/man?/*
%dir %{perl_vendorlib}/Archive
%{perl_vendorlib}/Archive/Zip
%{perl_vendorlib}/Archive/Zip.pm
%dir %{perl_vendorarch}/auto/Archive
%{perl_vendorarch}/auto/Archive/Zip
/usr/bin/crc32
/var/adm/perl-modules/perl-Archive-Zip

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Sep 10 2008 anicka@suse.cz
- update to 1.24
  * Blatantly pander to CPANTS by adding use strict to a deprecated
  module
  * Add an explicit load of FileHandle since in some circumstances,
  calling GLOB->print() failed.
  * bugfixes
* Fri Nov  9 2007 anicka@suse.cz
- update to 1.23
  * Temporarily skilling some failing tests on Win32 in the
    interests of toolchain sanity. (until we work out the
    real problem here)
  * Fixing platform compatibility bugs in the new regression tests
    from 1.21.
* Thu Nov  1 2007 anicka@suse.cz
- update to 1.21
  * Tidying up copyright formatting a bit.
  * Disable the GPBF_HAS_DATA_DESCRIPTOR_MASK bit when
    auto-switching directory storage to STORED
  * bugfixes, test fixes
* Mon Jun 11 2007 anicka@suse.cz
- update to 1.20
  * Removing dependency on File::Which due to public outburst
    of flaming
  * Embedding an entire copy of File::Which inside the tests
    instead as an alternative to compensating for the lack
    of build_requires.
  * Removing the docs directory.
- remove perl-File-Which from BuildRequires
* Wed Dec 20 2006 anicka@suse.cz
- add perl-File-Which to BuildRequires and enable tests again
* Thu Dec 14 2006 anicka@suse.cz
- update to 1.18
  * Seperated the classes from the main file into seperate packages.
  * Merged the Zip.pod into the main Zip.pm file.
  * Applied default Perl::Tidy to all of the source files,
  to improve the readability and maintainability of the files.
  * Added license in Makefile.PL
  * Added some additional entries to the realclean files
  * Adding dependency on File::Which to deal with problems on systems
  that lack zip and unzip programs. This really should
  be a build-time dependency only, but ExtUtils::MakeMaker lacks
  that capability.
  * Upgraded all test scripts from Test.pm to Test::More
  (removing Test.pm dependency)
  * Removed MANIFEST and pod.t from repository
  (will be auto-generated)
  * Added SUPPORT section to docs
  * Merged external TODO file into the POD as a more-common
  TO DO section
  * Added a BUGS section to the docs
  * Moved crc32 to bin/crc32 in line with package layout conventions
- disable tests because they depend on File::Which
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jul 11 2005 schubi@suse.de
- update to version 1.16
* Fri Apr 15 2005 schubi@suse.de
- update to most recent version 1.14
* Thu Feb 26 2004 choeger@suse.de
- update to most recent version 1.09
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Jul 17 2003 choeger@suse.de
- use install_vendor and new %%perl_process_packlist macro
* Tue Jun 17 2003 choeger@suse.de
- updated filelist
* Sun May 25 2003 ro@suse.de
- remove unpackaged files from buildroot
* Sat Feb  8 2003 link@suse.de
- updated to 1.05
* Fri Jul 12 2002 link@suse.de
- some tweaks of the spec file
* Fri Jul 12 2002 link@suse.de
- updated to 1.01
* Tue May  7 2002 link@suse.de
- updated to 1.00
* Thu Aug 16 2001 ro@suse.de
- removed bogus Obsoletes
* Fri Apr  6 2001 link@suse.de
- first package, v0.11
